Description

Hi,

I created an update for the German Language File.

Maybe someone else can have a look at it?

History

#1 - 2008-08-13 17:53 - Ralph Lange

Sven Schuchmann wrote:

Hi,

I created an update for the German Language File.

Maybe someone else can have a look at it?

 Looks good. One comment about label_duplicated_by:

"Duplicated by" points to the duplicate, not to the original. (As opposed to "Duplicate of".)

"Duplikat von" points to the original, instead.

I don't really have a better idea, though. "Dupliziert von"? "Dupliziert durch"?

#2 - 2008-08-13 19:46 - Sven Schuchmann

Ralph Lange wrote:

Looks good. One comment about label_duplicated_by:

"Duplicated by" points to the duplicate, not to the original. (As opposed to "Duplicate of".)

"Duplikat von" points to the original, instead.

I don't really have a better idea, though. "Dupliziert von"? "Dupliziert durch"?

 "Dupliziert durch" sounds good.

#3 - 2008-08-13 19:50 - Sven Schuchmann

Another thing, it just saw that my plural definitions don't work:

text_subprojects_destroy_warning_plural: 'Unterprojekte %s werden auch gelöscht.'

+mail_body_reminder_plural: "%d Tickets welche Ihnen zugewiesen sind müssen in den nächsten %d Tagen abgegeben

 werden:" 

+mail_subject_reminder_plural: "%d Tickets müssen in den nächsten Tagen abgegeben werden" 

 Anyone an idea on that?

#4 - 2008-08-13 20:04 - Azamat Hackimov

Sven Schuchmann wrote:

Another thing, it just saw that my plural definitions don't work:

[...]

Anyone an idea on that?

 That because in Redmine files for these strings no provided plural form. Maybe we should open patch, that fixes that...

#5 - 2008-08-30 12:44 - Thomas Löber
- File lang_de.yml.r1773.diff added

Hi Sven,

I had a look at your patch. Here are my suggestions (in green):

As long as the plural forms don't work for some identifiers we should omit them from the language file:

text_subprojects_destroy_warning: 'Unterprojekt %s wird auch gelöscht.'

text_subprojects_destroy_warning_plural: 'Unterprojekte %s werden auch gelöscht.'

text_subprojects_destroy_warning: 'Dessen Unterprojekte %s werden ebenfalls gelöscht.'

mail_body_reminder: "%d Ticket welches Ihnen zugewiesen ist muss in den nächsten %d Tagen abgegeben werden:"

mail_body_reminder_plural: "%d Tickets welche Ihnen zugewiesen sind müssen in den nächsten %d Tagen abgegeben werden:"

mail_body_reminder: "%d Tickets, die Ihnen zugewiesen sind, müssen in den nächsten %d Tagen abgegeben werden:"

mail_subject_reminder: "%d Ticket muss in den nächsten Tagen abgegeben werden"

mail_subject_reminder_plural: "%d Tickets müssen in den nächsten Tagen abgegeben werden"

mail_subject_reminder: "%d Tickets müssen in den nächsten Tagen abgegeben werden"

As Ralph already proposed:

label_duplicated_by: Duplikat von

label_duplicated_by: Dupliziert durch

This is the option which SCMs are actually enabled in your Redmine so I think 'Aktivierte Versionskontrollsysteme' fits better:

setting_enabled_scm: Unter Versionskontrolle

setting_enabled_scm: Aktivierte Versionskontrollsysteme

This one appears when you try to delete an in-use enumeration value so 'Wert' is more appropriate than 'Katergorie':

text_enumeration_category_reassign_to: 'Dieser Kategorie zuordnen:'

text_enumeration_category_reassign_to: 'Die Objekte stattdessen diesem Wert zuordnen:'

The tab on the settings page is actually for incoming emails only:

label_incoming_emails: Emailkonfiguration

label_incoming_emails: Eingehende E-Mails

I'd prefer 'E-Mails' as the messages in this case are always emails:

setting_mail_handler_api_enabled: Abruf eingehender Nachrichten aktivieren

setting_mail_handler_api_enabled: Abruf eingehender E-Mails aktivieren

I put a dash between some words:

setting_mail_handler_api_key: API Schlüssel

setting_mail_handler_api_key: API-Schlüssel

text_email_delivery_not_configured: "Der SMTP Server ist nicht konfiguriert. Mailbenachrichtigungen sind ausgeschaltet.\nNehmen Sie die

Einstellungen für Ihren SMTP Server in config/email.yml vor und starten Sie die Applikation neu."

text_email_delivery_not_configured: "Der SMTP-Server ist nicht konfiguriert und Mailbenachrichtigungen sind ausgeschaltet.\nNehmen Sie die

Einstellungen für Ihren SMTP-Server in config/email.yml vor und starten Sie die Applikation neu."

I think a capital 'Ü' looks better:

field_parent_title: übergeordnete Seite

field_parent_title: Übergeordnete Seite

These two items are new in r1773:

setting_commit_logs_encoding: Kodierung der Log-Meldungen

button_quote: Zitieren

This is a small Python script I used to sort the entries of de.yml (in-place) so that they have the same order as the entries of en.yml:

#!/usr/bin/python

import re, shutil

shutil.copyfile("de.yml", "de.yml~")

rx = re.compile("^(\w+):(?: (.*))?$")

de = dict(m.groups() for m in (rx.match(line) for line in open("de.yml")) if m and m.group(2) is not None)

en = ((line[:-1], rx.match(line)) for line in open("en.yml"))

out = (m.group(1) + ": " + de[m.group(1)] if m and m.group(1) in de else line for line, m in en)
open("de.yml", "w").write("\n".join(out))

<pre>

I also have attached a diff containing my suggestions.

#6 - 2008-08-30 12:46 - Thomas Löber

This is once more the script (now with correct pre tags):

#!/usr/bin/python

import re, shutil

shutil.copyfile("de.yml", "de.yml~")

rx = re.compile("^(\w+):(?: (.*))?$")

de = dict(m.groups() for m in (rx.match(line) for line in open("de.yml")) if m and m.group(2) is not None)

en = ((line[:-1], rx.match(line)) for line in open("en.yml"))

out = (m.group(1) + ": " + de[m.group(1)] if m and m.group(1) in de else line for line, m in en)

open("de.yml", "w").write("\n".join(out))

#7 - 2008-08-30 13:03 - Thomas Löber

- File lang_de.yml.r1773.diff added

I just saw that the script deletes the last newline (LF). So here is an update:

#!/usr/bin/python

import re, shutil

shutil.copyfile("de.yml", "de.yml~")

rx = re.compile("^(\w+):(?: (.*))?$")

de = dict(m.groups() for m in (rx.match(line) for line in open("de.yml")) if m and m.group(2) is not None)

en = ((line, rx.match(line)) for line in open("en.yml"))

out = ("%s: %s\n" % (m.group(1), de[m.group(1)]) if m and m.group(1) in de else line for line, m in en)

open("de.yml", "w").write("".join(out))

 Attached is an updated diff.

#8 - 2008-09-03 08:27 - Sven Schuchmann

Hi Thomas,

sounds all good.

Regards Sven

#9 - 2008-09-14 14:09 - Azamat Hackimov

- Status changed from New to 7

- Assignee set to Azamat Hackimov

- Target version set to 0.8

Thomas, can you give full de.yml? Your patch cannot cleanly applied against current file.

#10 - 2008-09-20 00:28 - Thomas Löber

- File lang_de.yml.r1886.diff added

- File de.yml added

I have attached a new patch against r1886 and the full de.yml.

#11 - 2008-09-21 14:25 - Azamat Hackimov

- Status changed from 7 to Closed

In svn now, thank you!

#12 - 2009-01-06 20:29 - Kornelius Kalnbach

- Status changed from Closed to Reopened

I'm just reopening the ticket to report a minor bug. In the activity view, the checkbox to view "messages" is translated "Nachrichten" (News), which is
confusing. "Forenbeiträge" would be better, I think.

#13 - 2009-01-08 09:58 - Thomas Löber

In version 0.8 the translation of "label_message_plural" is "Beiträge" already (see #2193).

However "Forenbeiträge" would be even better in this case as the string is used outside of the board views.

The activity type strings are dynamically created ("label_#{t.singularize}_plural") so I didn't find the reference to this string in the activity view when I

grep'ed for it.

Would you create a patch and post a new ticket, so this ticket can be closed (as version 0.8 has already been released)?

There are 6 strings containing the word "Forums-Beiträge" in the current translation. These should be changed to "Forenbeiträge" as well to be

consistent.

#14 - 2009-01-09 18:09 - Jean-Philippe Lang

- Target version deleted (0.8)

#15 - 2009-01-14 09:30 - Thomas Löber

I have posted a patch #2505.

This issue can be closed.

#16 - 2009-01-19 16:26 - Azamat Hackimov

- Status changed from Reopened to Closed

Please, do not reopen already closed bug. Create new one instead.

Files

de.yml.patch 2.61 KB 2008-08-13 Sven Schuchmann

lang_de.yml.r1773.diff 5.31 KB 2008-08-30 Thomas Löber

lang_de.yml.r1773.diff 5.22 KB 2008-08-30 Thomas Löber

lang_de.yml.r1886.diff 6.95 KB 2008-09-19 Thomas Löber

de.yml 26 KB 2008-09-19 Thomas Löber
